package model

import (
	"time"
)

const (
	//我喜欢的数量
	CountTypeLike = 1
	//我拉黑的数量
	CountTypeBlock = 2
	//我被喜欢的次数
	CountTypeLikeMe = 3
)

type UserCount struct {
	CreatedTime time.Time `json:"created_time"` // CreatedTime
	Id          int64     `json:"id"`           // id
	Num         int       `json:"num"`          // 数量
	Type        int       `json:"type"`         // 类型
	UpdatedTime time.Time `json:"updated_time"` // UpdatedTime
	UserId      int64     `json:"user_id"`      // user_id
}

func (u *UserCount) TableName() string {
	return "user_count"
}
