package model

import (
	"time"
)

type UserLike struct {
	CreatedTime time.Time `json:"created_time"` // CreatedTime
	Id          int64     `json:"id"`           // id
	LikeUserId  int64     `json:"like_user_id"` // 被喜欢者ID
	SceneType   int       `json:"scene_type"`   // 1：随机匹配
	UpdatedTime time.Time `json:"updated_time"` // UpdatedTime
	UserId      int64     `json:"user_id"`      // 喜欢者ID
}

func (u *UserLike) TableName() string {
	return "user_like"
}
